<?php 
ini_set('display_errors', 1);

require_once 'Form_Input.php';
require_once 'Form_Input_Select.php';
require_once 'Form_Input_Textarea.php';

$inpCustNumber = new Form_Input('CUNUM');
$inpCustNumber->setLabel('Customer Number');
$inpCustNumber->setValue(61325);
$inpCustNumber->setOutputOnly();

$inpCustName = new Form_Input('CUNAME');
$inpCustName->setLabel('Customer Name');
$inpCustName->setValue('Acme Welding');

$inpIsBizCust = new Form_Input('CUBUSINESS', 'checkbox');
$inpIsBizCust->setLabel('Business account?');
$inpIsBizCust->setOutputOnly();

$statusCodes = array(
	'A' => 'Active',
	'I' => 'Inactive',
	'D' => 'Deleted',
	'H' => 'Held',
	'C' => 'Credit check'
);
$inpCustSts = new Form_Input_Select('CUSTATUS', $statusCodes);
$inpCustSts->setLabel('Customer status');
$inpCustSts->setValue('H');
//$inpCustSts->setOutputOnly();

$inpCustNotes = new Form_Input_Textarea('CUNOTES');
$inpCustNotes->setLabel('Customer notes');
$inpCustNotes->setValue("Customer on hold for non-payment.\nRelease upon payment of $300 past due amount.");
$inpCustNotes->setSize(3, 35);
//var_dump($inpCustNotes);

// Page to return to after form processing
$caller = new Form_Input('caller', 'hidden');
$caller->setValue($_SERVER['HTTP_REFERER']);

$submit = new Form_Input('saveButton', 'submit');
$submit->setValue('Save Changes');

?>
<html> 
	<head>
		<link rel="stylesheet" type="text/css" href="styles.css" />
	</head>
	<body>
		<form>
			<?php echo $caller->render(); ?>
			
			<table border=0 width="60%">
				<caption>Customer Information</caption>
				<?php 
				echo $inpCustNumber->renderAsTableRow();
				echo $inpCustName->renderAsTableRow();
				echo $inpIsBizCust->renderAsTableRow();
				echo $inpCustSts->renderAsTableRow();
				echo $inpCustNotes->renderAsTableRow();
				echo $submit->renderAsTableRow();
				?>
			</table>
		</form>
	</body>
</html>
