<pre>
<?php
/* Copyright (C) 2016 John Valance - All Rights Reserved.
   You may use, distribute and modify this code under the
   terms of the BSD license. See file LICENSE.txt in the
   top-most parent folder distributed with this source code.
   If missing, please write to: johnv@div1sys.com.
*/
require_once 'person_funcs.php';
//------------------------------------------------------------
// Create DB connection
define( 'USER', 'your-user-id');
define( 'PSWD', 'your-pswd');
$conn_opts = array (
    'i5_naming' => DB2_I5_NAMING_ON,
    'i5_libl' => "JVALANCE QGPL"
);
$conn = db2_connect ("*LOCAL", USER, PSWD, $conn_opts )
    or die("Connection failed! ". db2_conn_errormsg());

//------------------------------------------------------------
// Set up data structure (i.e. arrays) for person rows to insert
$bob = array(
        'firstName' => 'Bob',
        'lastName' => 'Smith',
        'dateOfBirth' => '1975-08-13'
        );
$tom = array(
        'firstName' => 'Tom',
        'lastName' => 'Jones',
        'dateOfBirth' => '1969-11-02'
        );

echo "<h3>Before INSERTs:</h3>";
print_r($bob);
print_r($tom);

//------------------------------------------------------------
// Start with empty table
person_delete_all($conn);

//------------------------------------------------------------
// Insert rows in person table
$bobID = person_insert($conn, $bob);
$bob['id'] = $bobID;  // save bob's id

$tomID = person_insert($conn, $tom);
$tom['id'] = $tomID;  // save tom's id

echo "<h3>After INSERTs:</h3>";
print_r($bob);
print_r($tom);


//------------------------------------------------------------
// Update rows in person table
$tom['firstName'] = 'Thomas';
person_update($conn, $tom);

$bob['firstName'] = 'Robert';
person_update($conn, $bob);

echo "<h3>After UPDATEs:</h3>";
print_r($bob);
print_r($tom);

//------------------------------------------------------------
// Retrieve all rows in person table
$all_rows = person_all($conn);

echo "<h3>Select ALL rows:</h3>";
print_r($all_rows);


//------------------------------------------------------------
// Retrieve specific row from person table
$row = person_row($conn, $bob['id']);

echo "<h3>Select ONE row:</h3>";
print_r($row);


//------------------------------------------------------------
// Calculate Bob's age

$bobsName = getFullName($bob);
$bobsBDayFmtd = formatBirthDate($bob['dateOfBirth']);
$bobsAge = calculateAge($bob['dateOfBirth']);
echo "<h3>Calculate Age:</h3>";
echo "$bobsName was born on $bobsBDayFmtd, and his age is $bobsAge";

//------------------------------------------------------------
// Delete specific row from person table
person_delete($conn, $tom['id']);
unset($tom);

echo "<h3>After DELETE:</h3>";
print_r($tom);

//------------------
db2_close($conn);


?>
</pre>
