<?php
/* Copyright (C) 2016 John Valance - All Rights Reserved.
 You may use, distribute and modify this code under the
 terms of the BSD license. See file LICENSE.txt in the
 top-most parent folder distributed with this source code.
 If missing, please write to: johnv@div1sys.com.
 */
function person_delete_all( ) {
    $conn = DB2Connection::getInstance();

    db2_exec($conn, "delete from person");
}

function person_insert( $data ) {
    $conn = DB2Connection::getInstance();

    $insert_sql =
        "insert into person (firstName, lastName, dateOfBirth) values (?, ?, ?)";

    $insert_stmt = db2_prepare($conn, $insert_sql)
            or die("<br>Prepare INSERT failed! ". db2_stmt_errormsg());

    db2_execute($insert_stmt, $data);
    $id = db2_last_insert_id($conn);
    return $id;
}

function person_update( $data ) {
    $conn = DB2Connection::getInstance();

    $update_sql =
        "update person set firstName = ?, lastName = ?, dateOfBirth = ? where id = ?";

    $update_stmt = db2_prepare($conn, $update_sql)
        or die("<br>Prepare UPDATE failed! ". db2_stmt_errormsg());

    return db2_execute($update_stmt, $data);
}

function person_all( ) {
    $conn = DB2Connection::getInstance();

    $select_all_sql = "select * from person";

    $select_all_stmt = db2_prepare($conn, $select_all_sql)
        or die("<br>Select ALL prepare failed! ". db2_stmt_errormsg());

    db2_execute($select_all_stmt);

    $all_rows = array();
    while ($row = db2_fetch_assoc($select_all_stmt )) {
        $all_rows[] = $row;
    }

    return $all_rows;
}

function person_row( $id ) {
    $conn = DB2Connection::getInstance();

    $select_row_sql = "select * from person where id = ?";

    $select_row_stmt = db2_prepare($conn, $select_row_sql)
        or die("<br>Select ROW prepare failed! ". db2_stmt_errormsg());

    db2_execute($select_row_stmt, array($id));

    $row = db2_fetch_assoc($select_row_stmt);

    return $row;
}

function person_delete( $id ) {
    $conn = DB2Connection::getInstance();

    $delete_row_sql = "delete from person where id = ?";

    $delete_row_stmt = db2_prepare($conn, $delete_row_sql)
        or die("<br>Delete row prepare failed! ". db2_stmt_errormsg());

    db2_execute($delete_row_stmt, array($id));
}

function getFullName( $pers ) {
    return trim($pers['firstName']) . ' ' . trim($pers['lastName']);
}

function formatBirthDate( $dateStr ) {
    return date('D M d, Y', strtotime($dateStr));
}

function calculateAge( $dateStr ) {
    $datetime1 = new DateTime(date('Ymd'));
    $datetime2 = new DateTime($dateStr);
    $interval = $datetime2->diff($datetime1);
    return $interval->format('%r%y years, %m months, %d days');
}