<pre>
<?php
/* Copyright (C) 2016 John Valance - All Rights Reserved.
   You may use, distribute and modify this code under the
   terms of the BSD license. See file LICENSE.txt in the
   top-most parent folder distributed with this source code.
   If missing, please write to: johnv@div1sys.com.
*/
require_once 'Person_DM.php';
require_once 'PersonMapper.php';

// Start with empty table
PersonMapper::delete_all();

$mapper = new PersonMapper;

$bob = new Person_DM();
$bob->setFirstName('Bob');
$bob->setLastName('Smith');
$bob->setDateOfBirth('1975-08-13');
$mapper->save( $bob );

$tom = new Person_DM();
$tom->setFirstName('Tom');
$tom->setLastName('Jones');
$tom->setDateOfBirth('1969-11-02');
$mapper->save( $tom );

echo "<h3>After INSERTs:</h3>";
echo '<br>$bob: <br>' . $bob;
echo '<br>$tom: <br>' . $tom;


//------------------------------------------------------------
// Update rows in person table
$tom->setFirstName('Thomas');
$mapper->update( $tom );

$bob->setFirstName('Robert');
$mapper->save( $bob );

echo "<h3>After UPDATEs:</h3>";
print_r($bob);
print_r($tom);

//------------------------------------------------------------
// Select all rows
$all_persons = $mapper->find_all();

echo "<h3>Use PersonMapper class to get all Persons:</h3>";

foreach ($all_persons as $person) {
    echo "Person ID = {$person->getId()}: name = {$person->getFullName()}<br>";
}

//------------------------------------------------------------
// Display age information
echo "<h3>Calculate Age:</h3>";
echo $bob->getAgeText();
echo '<br>'.$tom->getAgeText();


//------------------------------------------------------------
// Delete specific row from person table
echo "<h3>DELETE \$tom:</h3>";

$mapper->delete($tom);
unset($tom);
echo '$tom after delete() and unset(): <br>' . $tom;


echo "<h3>END of Script!</h3>";

?>
</pre>
