<?php
/* Copyright (C) 2016 John Valance - All Rights Reserved.
 You may use, distribute and modify this code under the
 terms of the BSD license. See file LICENSE.txt in the
 top-most parent folder distributed with this source code.
 If missing, please write to: johnv@div1sys.com.
 */
require_once 'DBMapper.php';
require_once('../03-singleton/DB2Connection.php');

class DBMapFinder {

    public static function find_all( DBMapper $mapper ) {
        $conn = DB2Connection::getInstance();

        $sql = "select * from {$mapper->getTableName()}";

        $stmt = db2_prepare($conn, $sql);
        if (!$stmt) throw new Exception("Select prepare failed! : ". db2_stmt_errormsg());

        if (!db2_execute($stmt))
            throw new Exception("db2_execute() failed! : ". db2_stmt_errormsg());;

        $obj_list = array();
        while ($row = db2_fetch_assoc($stmt )) {
            $obj_list[] = $mapper->map($row);
        }

        return $obj_list;
    }

    public static function findByLastName( $lastName ) {
        $conn = DB2Connection::getInstance();

        $sql = "select * from {$mapper->getTableName()} where upper(lastName) like upper('%?%')";

        $stmt = db2_prepare($conn, $sql);
        if (!$stmt) throw new Exception("Select prepare failed! : ". db2_stmt_errormsg());

        if (!db2_execute($stmt, array($lastName)))
            throw new Exception("db2_execute() failed! : ". db2_stmt_errormsg());;

        $obj_list = array();
        while ($row = db2_fetch_assoc($stmt )) {
            $obj_list[] = Person::load($row);
        }

        return $obj_list;
    }
}
?>