DROP PROCEDURE spGetObjectList
--@#
CREATE PROCEDURE spGetObjectList
(
	in @ObjectType char(10),
	out row_count integer
)

RESULT SETS 1
LANGUAGE SQL

BEGIN

DECLARE AT_END integer DEFAULT 0; -- used to check for end of data
DECLARE END_OF CONDITION FOR '02000'; -- condition for end of data

DECLARE c1 INSENSITIVE SCROLL CURSOR WITH RETURN FOR
	SELECT 
		ODOBNM as Object_Name, 
		ODOBTP as Object_Type, 
		ODOBAT as Object_Attribute, 
		ODOBSZ as Object_Size, 
		ODOBTX as Object_Description, 
		ODOBOW as Object_Owner, 
		ODCRTU as Object_Created_By
	FROM JOHNV/ZENDOBJS 
	WHERE (@ObjectType = ''  OR
		  (@ObjectType <> '' and (@ObjectType = trim(ODOBTP))))
    ;

DECLARE CONTINUE HANDLER FOR END_OF SET AT_END = 1;

-- ==========================================================

set @ObjectType = trim(@ObjectType);		 	

OPEN c1;
GET DIAGNOSTICS row_count = DB2_NUMBER_ROWS;

END

